cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Community Tip - Have a PTC product question you need answered fast? Chances are someone has asked it before. Learn about the community search. X

Deprecated widgets in ThingWorx 8.5

svisveswaraiya
17-Peridot

Deprecated widgets in ThingWorx 8.5

Hi,

I imported mashups from 8.4 to 8.5. Whenever I open the mashup, it asks to replace the deprecated widgets with standard widgets. But, we do not want to replace them and wanted to continue with the same. If we are not replacing and giving the option 'No' whenever it asks, will there be any problem in long run? And will it stop working after sometime? Please help us understand the negative impact of not replacing deprecated with standard widgets in 8.5V.

 

Thanks & Regards,

Shalini V.

1 ACCEPTED SOLUTION

Accepted Solutions

Hi @svisveswaraiya, I think even though, the deprecated widgets are not deprecated yet (we can see some of them still exist in ThingWorx 9.0), they will be deprecated in the future.

I don't think currently, there is any negative influence here, but as we know we will have to replace them someday. 

If you do not want to be in a hurry when the time comes, I suggest you start replacing them from now.

Because:

1. New widgets are way cooler both visually and effectively, and sometimes with new features!

2. We have an easy way to migrate them into new widgets, just by clicking the buttons!

Note: backup the original mashups before you do so

 

Check the link below to know more about widgets migrations:

Migration of Widgets and Layouts

View solution in original post

5 REPLIES 5

Hi @svisveswaraiya, I think even though, the deprecated widgets are not deprecated yet (we can see some of them still exist in ThingWorx 9.0), they will be deprecated in the future.

I don't think currently, there is any negative influence here, but as we know we will have to replace them someday. 

If you do not want to be in a hurry when the time comes, I suggest you start replacing them from now.

Because:

1. New widgets are way cooler both visually and effectively, and sometimes with new features!

2. We have an easy way to migrate them into new widgets, just by clicking the buttons!

Note: backup the original mashups before you do so

 

Check the link below to know more about widgets migrations:

Migration of Widgets and Layouts

But the pop-up it's annoying, we have over 500Mashups on our solution, migrating all of them it's a months job, we will plan accordingly, but on the mean time would be good to get rid of the annoying message, just let the developer decide.

slangley
23-Emerald II
(To:CarlesColl)

Hi everyone.

 

I have created an internal ticket regarding the pop-up message and will post an update here once I receive feedback from R&D.

 

Regards.

 

--Sharon

Hi everyone.

 

The 9.3 release due out this month is replacing the banner with a dialog for turning off the message regarding deprecated widgets.  I'll let you know once 9.3 is available.

 

Regards.

 

--Sharon

slangley
23-Emerald II
(To:slangley)

Hi everyone.

 

ThingWorx 9.3 is now available for download.

 

Regards.

 

--Sharon

Top Tags